<?php
/******************************************************************************
 *                         Install Script
 *                    ------------------------------
 *   Filename:             install.php
 *   Project:              Uzzisoft - PHP Simple Member System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.2.1
 *   Build Date:           2004-05-10
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Creates a new database and two new tables for this project
 *
 *   How it does it:
 *   Gets the values from the form. Checks if they are empty. Connects
 *   to the MySQL server using the values from the form.
 *   Creates the phpsms database. Creates the tables userdata and usersonline.
 *   Checks to see if they have rows and if they do print installation
 *   complete else print that there was a error.
 *
 *****************************************************************************/
?>

<html>
<head>
<title>Installation of Uzzi Soft - PHP Simple Member System</title>
</head>

<body>

<center>
<font face="Verdana" size="3"><B>
Uzzi Soft - PHP Simple Member System Installation
</B>
</font>

<BR><BR>
<font face="Verdana" size="2">
We will be installing the PHP Simple Member System into your MySQL Server<BR>
Please enter the details of your MySQL Server below.<BR>
If you MySQL is located on this computer enter "localhost" without the quotes<BR>
in the IP Address of MySQL Server.<BR><BR>
This script will create a new database called phpsms and two tables which are<BR>
userdata and usersonline<BR><BR><BR>
</font>
</center>

<form action="install.php" method="POST">
 <table border="0" width="455" id="table1">
        <tr>
                <td width="273" height="24"><font face="Verdana">IP Address of MySQL
                Server:</font></td>
                <td height="24"> <input type="text" name="ipaddressofmysqlserver"/></td>
        </tr>
        <tr>
                <td width="273" height="24"><font face="Verdana">MySQL Username:</font></td>
                <td height="24"> <input type="text" name="mysqlusername"  /></td>
        </tr>
        <tr>
                <td width="273"><font face="Verdana">MySQL Password:</font></td>
                <td> <input type="password" name="mysqlpassword" /></td>
        </tr>
        <tr>
                <td width="273" height="68">&nbsp;</td>
                <td height="68"> <input type="submit" value="Install">
 <input type="reset" value="Clear"></td>
        </tr>
        </table>
</form>
<BR><BR>

<?php

  // Begin Installatin of PHP Simple Member System

  // Variables that data come from the submission form
  $ipmysql = $_POST["ipaddressofmysqlserver"]; // Ip Address of MySQL Server
  $mysqlusername = $_POST["mysqlusername"];    // Username of the MySQL Server
  $mysqlpassword = $_POST["mysqlpassword"];    // Password of the MySQL Server

  // Check if all the fields are filled in
  if ((!$ipmysql) || (!$mysqlusername) || (!$mysqlpassword)) {
      if (!$ipmysql) {
          echo "Please enter the IP Address of the MySQL Server<BR>";
      }
      if (!$mysqlusername) {
           echo "Please enter the username of the MySQL Server<BR>";
      }
      if (!$mysqlpassword) {
           echo "Please enter the password of the MySQL Server<BR>";
      }
      exit(); // If there are errors then we quit this script
  }

  // Connect to the MySQL server
  $link = mysql_connect("$ipmysql", "$mysqlusername", "$mysqlpassword");

  // Create a new database
  mysql_query('CREATE DATABASE phpsms');

  // Select the new database
  mysql_query('USE phpsms');

  // Create new userdata table
  mysql_query('CREATE TABLE userdata (userid VARCHAR(30), userpass VARCHAR(30), name VARCHAR(70), address VARCHAR(50), suburb VARCHAR(50), state VARCHAR(50), postcode VARCHAR(6), phone1 VARCHAR(11), phone2 VARCHAR(11), emailaddress VARCHAR(90), joineddate VARCHAR(19), ip VARCHAR(16), userno INT(11), username VARCHAR(20))');
  
  // Create new usersonline table
  mysql_query('CREATE TABLE usersonline (username VARCHAR(20))');

  // Check is there is both tables and then installation is completed
  $tablecheckuserdata = mysql_query('SELECT * FROM userdata');
  $tablecheckuserdata1 = mysql_num_rows($tablecheckuserdata);

  $tablecheckusersonline = mysql_query('SELECT * FROM usersonline');
  $tablecheckusersonline1 = mysql_num_rows($tablecheckusersonline);

  if ($tablecheckuserdata1 >= 0 && $tablecheckusersonline >= 0) {
      echo "Installation Complete!";
      mysql_close(); // Close the connection to the MySQL Server
  }
  else {
      echo "A error occured, try again";
      exit();
  }

?>

</body>
</html>